Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000671 [1003.1(2008)/Issue 7] System Interfaces Objection Error 2013-03-19 15:39 2014-02-28 11:50
Reporter nick View Status public  
Assigned To ajosey
Priority normal Resolution Accepted As Marked  
Status Interpretation Required  
Name Nick Stoughton
Organization USENIX
User Reference
Section aio_fsync
Page Number 573
Line Number 19824
Interp Status Approved
Final Accepted Text See Note: 0001538.
Summary 0000671: aio_fsync() EBADF and "open for writing"
Description Following the interpretation response for 0000501, the same problem exists for aio_fsync, and there is no need for an error if the file is open for reading or search. The access mode of the file descriptor does not affect whether there
are pending I/O operations on the underlying file.
Desired Action Change:

    The aio_fildes member of the aiocb structure referenced by the aiocbp argument is not a valid file descriptor open for writing.


to:
    The aio_fildes member of the aiocb structure referenced by the aiocbp argument is not a valid file descriptor.

At line 19973 (APPLICATION USAGE), change "None." to:

Note that even if the file descriptor is not open for writing, if there are
any pending write requests on the underlying file, then that I/O will be
completed prior to the return of a call to aio_error( ) or aio_return() indicating that the operation has completed.
Tags tc2-2008
Attached Files

- Relationships
related to 0000501Interpretation Requiredajosey fdatasync() EBADF and "open for writing" 

-  Notes
(0001538)
Don Cragun (manager)
2013-04-11 15:56

Interpretation response
------------------------
The standard states that aio_fsync() shall fail on a read-only file
descriptor, and conforming implementations must conform to this. However,
concerns have been raised about this which are being referred to the
sponsor.

Rationale:
-------------
The access mode of the file descriptor does not affect whether there
are pending I/O operations on the underlying file.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------
Make the changes in the Desired Action.
(0001816)
ajosey (manager)
2013-09-06 04:57

Interpretation Proposed 6 Sep 2013
(0001887)
ajosey (manager)
2013-10-14 13:05

Interpretation approved 14 October 2013
(0002171)
ajosey (manager)
2014-02-28 11:50

Updated section to be aio_fsync() from fdatasync(). No other changes made.

- Issue History
Date Modified Username Field Change
2013-03-19 15:39 nick New Issue
2013-03-19 15:39 nick Status New => Under Review
2013-03-19 15:39 nick Assigned To => ajosey
2013-03-19 15:39 nick Name => Nick Stoughton
2013-03-19 15:39 nick Organization => USENIX
2013-03-19 15:39 nick Section => fdatasync
2013-03-19 15:39 nick Page Number => 573
2013-03-19 15:39 nick Line Number => 19824
2013-03-19 15:39 nick Interp Status => ---
2013-03-19 15:39 nick Issue generated from 0000501
2013-03-19 15:39 nick Relationship added related to 0000501
2013-03-19 15:42 nick Description Updated
2013-03-19 15:42 nick Description Updated
2013-03-19 15:52 nick Description Updated
2013-04-09 06:51 xroche Issue Monitored: xroche
2013-04-11 15:51 Don Cragun Status Under Review => Resolved
2013-04-11 15:51 Don Cragun Resolution Open => Accepted
2013-04-11 15:51 Don Cragun Description Updated
2013-04-11 15:51 Don Cragun Tag Attached: tc2-2008
2013-04-11 15:56 Don Cragun Interp Status --- => Pending
2013-04-11 15:56 Don Cragun Note Added: 0001538
2013-04-11 15:56 Don Cragun Status Resolved => Interpretation Required
2013-04-11 15:56 Don Cragun Resolution Accepted => Accepted As Marked
2013-04-11 15:56 Don Cragun Desired Action Updated
2013-04-11 15:57 Don Cragun Final Accepted Text => See bugID:1538.
2013-04-11 15:57 Don Cragun Desired Action Updated
2013-04-11 15:58 Don Cragun Final Accepted Text See bugID:1538. => See Note: 0001538.
2013-09-06 04:57 ajosey Interp Status Pending => Proposed
2013-09-06 04:57 ajosey Note Added: 0001816
2013-10-14 13:05 ajosey Interp Status Proposed => Approved
2013-10-14 13:05 ajosey Note Added: 0001887
2014-02-28 11:50 ajosey Section fdatasync => aio_fsync
2014-02-28 11:50 ajosey Note Added: 0002171


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker